Page MenuHomePhabricator

Story: user wants to be able to re-run a failed report more easily {dove} [13 pts]
Closed, ResolvedPublic

Description

Sometimes, when you run a report, it fails. If you run a report on multiple metrics, some of the metrics might fail even as other ones run successfully. The user is presented with no information on why the report failed, or why it failed for some metrics and not others.

The process for re-running a failed report is labor intensive: user must return to their cohort page, clicks "create report", and re-configures the report output. That requires them to remember a lot of information: which metrics failed, what date range/timezone they selected, whether they wanted aggregated/individual results, etc. Then they click "run report" and cross their fingers that it succeeds so that they don't have to go through the whole process again.

  1. show a descriptive error message when the user hovers over "failure" in the reports page, so they know something about what went wrong.
  2. if the report for a metric is a failure, add a button to the final column on the reports page that allows the user to attempt to re-run THAT report without leaving the page or re-configuring. To better support users whose reports fail due to short-term Wikimetrics outages, allow any report that failed within the past 24 hours to be re-run this way.

Event Timeline

Capt_Swing raised the priority of this task from to Needs Triage.
Capt_Swing updated the task description. (Show Details)
Capt_Swing added subscribers: Capt_Swing, Aklapper.
Nuria added a subscriber: Nuria.Mar 26 2015, 3:05 PM

Reasons a report fail:

The system cannot do it: database is down or fails (metric is too large)
Labs problems: fluke (network outage)

We need an error message so users (ideally) don't click the retry button over and over again when it won't make any difference.

We could collect the errors in a table to help developers know what is the problem.
LoggerTable: (Error message should not be on report table) report_id, failure_message, failure_date
Subsequent updates update error message and date but do not keep history.

Capt_Swing set Security to None.
kevinator renamed this task from Story: user wants to be able to re-run a failed report more easily to Story: user wants to be able to re-run a failed report more easily [13 pts].Apr 7 2015, 3:42 PM
kevinator triaged this task as Normal priority.
kevinator moved this task from Next Up to Tasked_Hidden on the Analytics-Kanban board.
mforns claimed this task.Apr 7 2015, 5:34 PM
mforns moved this task from Tasked_Hidden to In Progress on the Analytics-Kanban board.

Change 203241 had a related patch set uploaded (by Mforns):
Add error message to failed reports

https://gerrit.wikimedia.org/r/203241

mforns moved this task from In Progress to Paused on the Analytics-Kanban board.Apr 14 2015, 2:20 PM

@mforms just checking in: what does 'paused' status mean on Kanban workboard?

Nuria added a comment.Apr 14 2015, 7:12 PM

@Cap_Swinng Means we are not working on it at the moment as other higher priority tasks are taking up our time, in this case I believe it is operations.

@Cap_Swing, We just need to spend some time fixing other systems. When we are done, I'll continue with that, which has no blockers.

mforns moved this task from Paused to In Progress on the Analytics-Kanban board.Apr 23 2015, 2:26 PM
mforns moved this task from In Progress to Paused on the Analytics-Kanban board.Apr 23 2015, 3:45 PM
kevinator renamed this task from Story: user wants to be able to re-run a failed report more easily [13 pts] to Story: user wants to be able to re-run a failed report more easily {oryx} [13 pts].Apr 27 2015, 3:25 PM
kevinator renamed this task from Story: user wants to be able to re-run a failed report more easily {oryx} [13 pts] to Story: user wants to be able to re-run a failed report more easily {dove} [13 pts].Apr 27 2015, 3:49 PM
mforns moved this task from Paused to In Progress on the Analytics-Kanban board.Apr 29 2015, 5:28 PM

Change 208017 had a related patch set uploaded (by Mforns):
Permit rerun of failed report

https://gerrit.wikimedia.org/r/208017

Change 203241 merged by Milimetric:
Add error message to failed reports

https://gerrit.wikimedia.org/r/203241

Change 208017 merged by Milimetric:
Permit rerun of failed report

https://gerrit.wikimedia.org/r/208017

mforns closed this task as Resolved.May 15 2015, 3:43 PM